Create Sofort Transaction

The Create Sofort Transaction request performs a transaction using the Sofort payment method.


Request Content

Send an altTransaction object, with the following:

Property

Type

Required

amount

decimal

required

currency

string

required

must be a supported currency

merchantTransactionId

string

optional

payerInfo

object

required for a new shopper (see payerInfo)

productDescription

string

optional

sofortTransaction

object

required (see sofortTransaction)

transactionMetaData

object

optional (see transactionMetaData)

vaultedShopperId

integer

required for a vaulted shopper

The vaulted shopper's saved country must be supported by Sofort.

vendorsInfo

object

optional (see vendorsInfo)

Response Details

If successful, the response HTTP status code is 200 OK.
The response contains the request properties plus these additions:

PropertyNotes
fraudResultInfo(see fraudResultInfo)
processingInfo(see processingInfo)
vaultedShopperId

Examples

Request Examples

curl -v -X POST https://sandbox.bluesnap.com/services/2/alt-transactions/ \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \ 
-H 'Authorization: Basic dXNlcm5hbWU6cGFzc3dvcmQ=' \
-d '
{
  "amount": 42,
  "currency": "EUR",
  "payerInfo": {
    "firstName": "John",
    "lastName": "Doe",
    "country": "de"
  },
  "sofortTransaction": {
    "returnUrl": "http://www.returnURL.com"
  }
}'
curl -v -X POST https://sandbox.bluesnap.com/services/2/alt-transactions/ \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \ 
-H 'Authorization: Basic dXNlcm5hbWU6cGFzc3dvcmQ=' \
-d '
{
  "amount": 57,
  "currency": "GBP",
  "vaultedShopperId": 29896125,
  "sofortTransaction": {
    "language": "fr",
    "returnUrl": "http://www.returnURL.com"
  }
}'
curl -v -X POST https://sandbox.bluesnap.com/services/2/alt-transactions/ \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \ 
-H 'Authorization: Basic dXNlcm5hbWU6cGFzc3dvcmQ=' \
-d '
{
  "amount": 50,
  "currency": "EUR",
  "payerInfo": {
    "firstName": "John",
    "lastName": "Doe",
    "country": "de"
  },
  "sofortTransaction": {
    "returnUrl": "http://www.returnURL.com"
  },
  "vendorsInfo": {
    "vendorInfo": [
      {
        "vendorId": 837389
      }
    ]
  }
}'

Response Examples

{
  "amount": 42,
  "currency": "EUR",
  "payerInfo": {
    "firstName": "John",
    "lastName": "Doe",
    "country": "de"
  },
  "vaultedShopperId": 29896125,
  "sofortTransaction": {
    "sofortUrl": "https://eu.gcsip.nl/orb/orb?ACTION=DO_START&REF=000000410000209224930000100001&MAC=k4cr6oNG%2FYtDMwfKJWwveKOSA6V3xDS8j0qFWZD7IyA%3D",
    "orderId": 20922493
  },
  "processingInfo": {
    "processingStatus": "PENDING",
    "transactionRegion": "DE"
  }
}
{
  "amount": 57,
  "currency": "EUR",
  "vaultedShopperId": 29896125,
  "sofortTransaction": {
    "language": "fr",
    "sofortUrl": "https://eu.gcsip.nl/orb/orb?ACTION=DO_START&REF=000000410000209224950000100001&MAC=sl2YU%2FDhliWFMZwzXXzDSFbyKKuS2Ll%2FncE794IvTKg%3D",
    "orderId": 20922495
  },
  "processingInfo": {
    "processingStatus": "PENDING"
  }
}
{
  "vendorsInfo": {
    "vendorInfo": [
      {
        "vendorId": 837389,
        "commissionPercent": 30
      }
    ]
  },
  "amount": 50,
  "currency": "EUR",
  "payerInfo": {
    "firstName": "John",
    "lastName": "Doe",
    "country": "de"
  },
  "vaultedShopperId": 29896135,
  "sofortTransaction": {
    "sofortUrl": "https://eu.gcsip.nl/orb/orb?ACTION=DO_START&REF=000000410000209217110000100001&MAC=0c0N2AF5tQLQ8VGYG0S2eNOIURDNh70FsQI5ingS2M8%3D",
    "orderId": 20921711
  },
  "processingInfo": {
    "processingStatus": "PENDING"
  }
}

API Explorer

Body Params
float
Defaults to 42
string
Defaults to EUR
payerInfo
object
sofortTransaction
object
Response
200
Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here!